* {
    font-family: var(--paragraph-font);
    color: var(--text-color);
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    max-width: var(--max-width);
    overflow-x: hidden;
}

header,
main,
footer {
    max-width: 100%;
}

main {
    position: relative;
    height: 100%;
    width: 100%;
}

.section-header{
    margin: 0px;
    order: 0;
}


footer {
    position: relative;
    width: 100%;
    padding: 1rem;
}

#form {
    display: flex;
    flex-direction: column;
    width: 80%;
    margin: 0 auto;
    align-content: center;
    background-color: var(--section-background);
}

form {
    background-color: var(--thirdColor);
    padding: 1rem;
    border-radius: 15px;
}


#background-form {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    opacity: 0.9; 
    object-fit: cover; 
    margin: 0;
}

/*Fileds Design*/
.join fieldset label,
.join fieldset input {
    padding: 0.5rem;
    font-family: var(--paragraph-font);
    border-radius: 15px;
}

form fieldset legend {
    text-align: center;
    color: var(--textColor);
    font-size: 110%;
    font-weight: bold;
}

fieldset{
    margin-top: 1rem;
}

/*Personal Inf*/
#business-information,
#personal-information {
    padding: 1rem;
    display: flex;
    border-radius: 15px;
    align-items: center;
    justify-content: center;
    width: 100%;
}

#personal-information {
    display: flex;
    flex-direction: column;
}

#personal-information input {
    flex: 1;
    min-width: 200px;
}

#first-name,
#last-name,
#email,
#phone-number {
    width: 85%;
}

/*Business Information*/
#business-information{
    padding: 2%;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: stretch;
}

#description-business-label{
    text-align: center;
}

#description-business {
    width: 100%;
    height: 10rem;
    padding: 0.5rem;
}

/*Membership*/

#title-memberships {
    text-align: center;
    margin: 1rem;
}

#details-memberships {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    margin: 1rem 1rem;
    gap: .5rem;
}

#membership-level select{
    padding: 0.5rem;
    font-family: var(--paragraph-font);
    border-radius: 15px;
}

#membership-level {
    padding: 1rem;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    border-radius: 15px;
}

/*buttons*/
.details-memberships {
    display: flex;
    gap: 10px; /* Space between buttons */
  }
  
  .badges {
    background: none;
    border: none;
    padding: 0;
    cursor: pointer;
    border-radius: 25px;
  }
  
  .badges img {
    width: 50px; 
    height: 50px;
    object-fit: cover; 
  }
  
  .badges:hover {
    opacity: 0.8; 
    transform: scale(0.8);
  }


  /*Dialog */
#dialog-membership {
    border: 1px solid var(--secondaryColor);
    border-radius: .25rem;
    padding: 3rem;
    background-color: var(--section-background);
    box-shadow: 0 0 15px var(--section-background);
    width: 90%;
    max-width: 500px;
    margin: 5rem auto;
    opacity: 0;
    transform: scale(0);
    transition: opacity 1s ease, transform 1s ease;
    text-align: justify;
}

#dialog-membership h3{
    margin-bottom: 2%;
}

#dialog-membership.open {
    opacity: 1;
    transform: scale(1);
}

::backdrop {
    background-color: rgba(0, 0, 0, 0.8);
}

#dialog-membership button {
    position: absolute;
    top: 23px;
    right: 23px;
    padding: .5rem 1rem;
    border: 1px solid rgba(0, 0, 0, 0.1);
}

#closeModal {
    cursor: pointer;
}

footer {
    bottom: 0;
}

.join-button{
    display: flex;
    justify-content: center;
}

#button-submit:hover{
    background-color: var(--accent1-color);
}

#button-submit {
    width: 10rem;
    height: 5rem;
    padding: 1rem;
    margin: 0 auto;
    text-align: center;
    font-size: 120%;
    font-weight: bold;
    border-radius: 15px;
    background-color: var(--nav-link-color);
}


#details-memberships{
    opacity: 0;
    transform: translateY(20px);
    transition: opacity 0.8s ease-out, transform 0.8s ease-out;
}

#details-memberships.visible {
    opacity: 1;
    transform: translateY(0);
}


/* Large Views */
@media screen and (min-width: 821px) {

    body {
        max-width: var(--max-width);
        margin: 0 auto;
    }

      /*Main*/

      main {
        position: relative;
        width: 100%;
        height: 100%;
    }

    #form {
        position: relative;
        width: 60%;
        margin: 0 auto;
        background-color: var(--section-background);
        padding: 1rem;
        border: solid 5px var(--secondaryColor);
        border-radius: 15px;
        z-index: 1;
        margin-top: 0.5%;
    }

    #personal-information label {
        width: 120px;
        text-align: right;
    }
    

    #background-form {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: -1;
        opacity: 0.9; 
        object-fit: cover; 
        margin: 0;
        margin-top: -0.5%;
    }

    #personal-information {
        display: grid;
        grid-template-columns: auto 1fr auto 1fr;
        gap: 10px;
        align-items: center;
    }

    footer{
        margin-top: -0.5%;
    }
    
}